#ifndef DOS_DATETIME_H
#define DOS_DATETIME_H

/*
** $Filename: dos/datetime.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.7 $
** $Date: 90/07/12 $
**
** Date and time C header for AmigaDOS
**
** (C) Copyright 1989-1991 Commodore-Amiga, Inc.
** All Rights Reserved
**
*/

#ifndef DOS_DOS_H
#include "dos/dos.h"
#endif




struct DateTime {
 struct DateStamp dat_Stamp; 
 UBYTE dat_Format; 
 UBYTE dat_Flags; 
 UBYTE *dat_StrDay; 
 UBYTE *dat_StrDate; 
 UBYTE *dat_StrTime; 
};


#define LEN_DATSTRING 16



#define DTB_SUBST 0 
#define DTF_SUBST 1
#define DTB_FUTURE 1 
#define DTF_FUTURE 2



#define FORMAT_DOS 0 
#define FORMAT_INT 1 
#define FORMAT_USA 2 
#define FORMAT_CDN 3 
#define FORMAT_MAX FORMAT_CDN

#endif 
