#ifndef DOS_RDARGS_H
#define DOS_RDARGS_H
/*
**
** $Filename: dos/rdargs.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.6 $
** $Date: 90/07/12 $
**
** ReadArgs() structure definitions
**
** (C) Copyright 1989-1991 Commodore-Amiga, Inc.
** All Rights Reserved
**
*/

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif

#ifndef EXEC_NODES_H
#include "exec/nodes.h"
#endif



struct CSource {
 UBYTE *CS_Buffer;
 LONG CS_Length;
 LONG CS_CurChr;
};



struct RDArgs {
 struct CSource RDA_Source; 
 LONG RDA_DAList; 
 UBYTE *RDA_Buffer; 
 LONG RDA_BufSiz; 
 UBYTE *RDA_ExtHelp; 
 LONG RDA_Flags; 
};

#define RDAB_STDIN 0 
#define RDAF_STDIN 1
#define RDAB_NOALLOC 1 
#define RDAF_NOALLOC 2
#define RDAB_NOPROMPT 2 
#define RDAF_NOPROMPT 4


#define MAX_TEMPLATE_ITEMS 100


#define MAX_MULTIARGS 128

#endif 
