#ifndef EXEC_LISTS_H
#define EXEC_LISTS_H
/*
** $Filename: exec/lists.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.10 $
** $Date: 91/03/15 $
**
** Definitions and macros for use with Exec lists
**
** (C) Copyright 1985-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/

#ifndef EXEC_NODES_H
#include "exec/nodes.h"
#endif 


struct List {
 struct Node *lh_Head;
 struct Node *lh_Tail;
 struct Node *lh_TailPred;
 UBYTE lh_Type;
 UBYTE l_pad;
}; 


struct MinList {
 struct MinNode *mlh_Head;
 struct MinNode *mlh_Tail;
 struct MinNode *mlh_TailPred;
}; 



#define IsListEmpty(x) \
 ( ((x)->lh_TailPred) == (struct Node *)(x) )

#define IsMsgPortEmpty(x) \
 ( ((x)->mp_MsgList.lh_TailPred) == (struct Node *)(&(x)->mp_MsgList) )


#endif 
