#ifndef EXEC_PORTS_H
#define EXEC_PORTS_H
/*
** $Filename: exec/ports.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.5 $
** $Date: 90/05/10 $
**
** Message ports and Messages.
**
** (C) Copyright 1985-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/

#ifndef EXEC_NODES_H
#include "exec/nodes.h"
#endif 

#ifndef EXEC_LISTS_H
#include "exec/lists.h"
#endif 

#ifndef EXEC_TASKS_H
#include "exec/tasks.h"
#endif 




struct MsgPort {
 struct Node mp_Node;
 UBYTE mp_Flags;
 UBYTE mp_SigBit; 
 void *mp_SigTask; 
 struct List mp_MsgList; 
};

#define mp_SoftInt mp_SigTask 


#define PF_ACTION 3 
#define PA_SIGNAL 0 
#define PA_SOFTINT 1 
#define PA_IGNORE 2 




struct Message {
 struct Node mn_Node;
 struct MsgPort *mn_ReplyPort; 
 UWORD mn_Length; 
 
 
};

#endif 
