#ifndef REXX_REXXIO_H
#define REXX_REXXIO_H
/*
** $Filename: rexx/rexxio.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 1.4 $
** $Date: 91/11/08 $
**
** Header file for ARexx Input/Output related structures
**
** (C) Copyright 1986,1987,1988,1989,1990 William S. Hawes
** (C) Copyright 1990-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/

#ifndef REXX_STORAGE_H
#include "rexx/storage.h"
#endif

#define RXBUFFSZ 204 


struct IoBuff {
 struct RexxRsrc iobNode; 
 APTR iobRpt; 
 LONG iobRct; 
 LONG iobDFH; 
 APTR iobLock; 
 LONG iobBct; 
 BYTE iobArea[RXBUFFSZ]; 
 }; 


#define RXIO_EXIST -1 
#define RXIO_STRF 0 
#define RXIO_READ 1 
#define RXIO_WRITE 2 
#define RXIO_APPEND 3 


#define RXIO_BEGIN -1L 
#define RXIO_CURR 0L 
#define RXIO_END 1L 



#define LLOFFSET(rrp) (rrp->rr_Arg1) 
#define LLVERS(rrp) (rrp->rr_Arg2) 


#define CLVALUE(rrp) ((STRPTR) rrp->rr_Arg1)


struct RexxMsgPort {
 struct RexxRsrc rmp_Node; 
 struct MsgPort rmp_Port; 
 struct List rmp_ReplyList; 
 };


#define DT_DEV 0L 
#define DT_DIR 1L 
#define DT_VOL 2L 


#define ACTION_STACK 2002L 
#define ACTION_QUEUE 2003L 

#endif
