#ifndef DOS_DOSHUNKS_H
#define DOS_DOSHUNKS_H
/*
** $Filename: dos/doshunks.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.5 $
** $Date: 90/07/12 $
**
** Hunk definitions for object and load modules.
**
** (C) Copyright 1989-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/


#define HUNK_UNIT 999
#define HUNK_NAME 1000
#define HUNK_CODE 1001
#define HUNK_DATA 1002
#define HUNK_BSS 1003
#define HUNK_RELOC32 1004
#define HUNK_RELOC16 1005
#define HUNK_RELOC8 1006
#define HUNK_EXT 1007
#define HUNK_SYMBOL 1008
#define HUNK_DEBUG 1009
#define HUNK_END 1010
#define HUNK_HEADER 1011

#define HUNK_OVERLAY 1013
#define HUNK_BREAK 1014

#define HUNK_DREL32 1015
#define HUNK_DREL16 1016
#define HUNK_DREL8 1017

#define HUNK_LIB 1018
#define HUNK_INDEX 1019


#define EXT_SYMB 0 
#define EXT_DEF 1 
#define EXT_ABS 2 
#define EXT_RES 3 
#define EXT_REF32 129 
#define EXT_COMMON 130 
#define EXT_REF16 131 
#define EXT_REF8 132 
#define EXT_DEXT32 133 
#define EXT_DEXT16 134 
#define EXT_DEXT8 135 

#endif 
