#ifndef DOS_EXALL_H
#define DOS_EXALL_H
/*
**
** $Filename: dos/exall.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.5 $
** $Date: 90/07/12 $
**
** include file for ExAll() data structures
**
** (C) Copyright 1989-1991 Commodore-Amiga, Inc.
** All Rights Reserved
**
*/

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif

#ifndef UTILITY_HOOKS_H
#include "utility/hooks.h"
#endif




#define ED_NAME 1
#define ED_TYPE 2
#define ED_SIZE 3
#define ED_PROTECTION 4
#define ED_DATE 5
#define ED_COMMENT 6



struct ExAllData {
 struct ExAllData *ed_Next;
 UBYTE *ed_Name;
 LONG ed_Type;
 ULONG ed_Size;
 ULONG ed_Prot;
 ULONG ed_Days;
 ULONG ed_Mins;
 ULONG ed_Ticks;
 UBYTE *ed_Comment; 
};



struct ExAllControl {
 ULONG eac_Entries; 
 ULONG eac_LastKey; 
 UBYTE *eac_MatchString; 
 struct Hook *eac_MatchFunc; 
};

#endif 
