#ifndef DOS_VAR_H
#define DOS_VAR_H
/*
**
** $Filename: dos/var.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.10 $
** $Date: 91/03/14 $
**
** include file for dos local and environment variables
**
** (C) Copyright 1989-1991 Commodore-Amiga, Inc.
** All Rights Reserved
**
*/


#ifndef EXEC_NODES_H
#include "exec/nodes.h"
#endif






struct LocalVar {
 struct Node lv_Node;
 UWORD lv_Flags;
 UBYTE *lv_Value;
 ULONG lv_Len;
};




#define LV_VAR 0 
#define LV_ALIAS 1 

#define LVB_IGNORE 7 
#define LVF_IGNORE 0x80




#define GVB_GLOBAL_ONLY 8
#define GVF_GLOBAL_ONLY 0x100
#define GVB_LOCAL_ONLY 9
#define GVF_LOCAL_ONLY 0x200
#define GVB_BINARY_VAR 10 
#define GVF_BINARY_VAR 0x400
#define GVB_DONT_NULL_TERM 11 
#define GVF_DONT_NULL_TERM 0x800

#endif 
