#ifndef EXEC_DEVICES_H
#define EXEC_DEVICES_H
/*
** $Filename: exec/devices.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.5 $
** $Date: 90/05/10 $
**
** Include file for use by Exec device drivers
**
** (C) Copyright 1985-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/

#ifndef EXEC_LIBRARIES_H
#include "exec/libraries.h"
#endif 

#ifndef EXEC_PORTS_H
#include "exec/ports.h"
#endif 




struct Device {
 struct Library dd_Library;
};




struct Unit {
 struct MsgPort unit_MsgPort; 
 
 UBYTE unit_flags;
 UBYTE unit_pad;
 UWORD unit_OpenCnt; 
};


#define UNITF_ACTIVE (1<<0)
#define UNITF_INTASK (1<<1)

#endif 
