#ifndef EXEC_RESIDENT_H
#define EXEC_RESIDENT_H
/*
** $Filename: exec/resident.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.8 $
** $Date: 90/11/01 $
**
** Resident/ROMTag stuff. Used to identify and initialize code modules.
**
** (C) Copyright 1985-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif 


struct Resident {
 UWORD rt_MatchWord; 
 struct Resident *rt_MatchTag; 
 APTR rt_EndSkip; 
 UBYTE rt_Flags; 
 UBYTE rt_Version; 
 UBYTE rt_Type; 
 BYTE rt_Pri; 
 char *rt_Name; 
 char *rt_IdString; 
 APTR rt_Init; 
};

#define RTC_MATCHWORD 0x4AFC 

#define RTF_AUTOINIT (1<<7) 
#define RTF_AFTERDOS (1<<2)
#define RTF_SINGLETASK (1<<1)
#define RTF_COLDSTART (1<<0)



#define RTW_NEVER 0
#define RTW_COLDSTART 1

#endif 
