#ifndef EXEC_TYPES_H
#define EXEC_TYPES_H
/*
** $Filename: exec/types.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.14 $
** $Date: 91/11/08 $
**
** Data typing. Must be included before any other Amiga include.
**
** (C) Copyright 1985-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/


#define INCLUDE_VERSION 36 


#define GLOBAL extern 
#define IMPORT extern 
#define STATIC static 
#define REGISTER register 


#ifndef VOID
#define VOID void
#endif


 
 

#ifndef APTR_TYPEDEF
#define APTR_TYPEDEF
typedef void *APTR; 
#endif
typedef long LONG; 
typedef unsigned long ULONG; 
typedef unsigned long LONGBITS; 
typedef short WORD; 
typedef unsigned short UWORD; 
typedef unsigned short WORDBITS; 
#if __STDC__
typedef signed char BYTE; 
#else
typedef char BYTE; 
#endif
typedef unsigned char UBYTE; 
typedef unsigned char BYTEBITS; 
typedef unsigned short RPTR; 
typedef unsigned char *STRPTR; 



typedef short SHORT; 
typedef unsigned short USHORT; 
typedef short COUNT;
typedef unsigned short UCOUNT;
typedef ULONG CPTR;



typedef float FLOAT;
typedef double DOUBLE;
typedef short BOOL;
typedef unsigned char TEXT;

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif
#ifndef NULL
#define NULL 0L
#endif


#define BYTEMASK 0xFF


 

#define LIBRARY_MINIMUM 33 


#endif 
