#ifndef INTUITION_CGHOOKS_H
#define INTUITION_CGHOOKS_H 1
/*
** $Filename: intuition/cghooks.h $
** $Release: 2.04 Includes, V37.4 $
** $Revision: 36.2 $
** $Date: 91/11/08 $
**
** Custom Gadget processing
**
** (C) Copyright 1988-1991 Commodore-Amiga, Inc.
** All Rights Reserved
*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef INTUITION_INTUITION_H
#include <intuition/intuition.h>
#endif


struct GadgetInfo {

 struct Screen *gi_Screen;
 struct Window *gi_Window; 
 struct Requester *gi_Requester; 

 
 struct RastPort *gi_RastPort;
 struct Layer *gi_Layer;

 
 struct IBox gi_Domain;

 
 struct {
 UBYTE DetailPen;
 UBYTE BlockPen;
 } gi_Pens;

 
 struct DrawInfo *gi_DrInfo;

 
 ULONG gi_Reserved[6];
};



struct PGX {
 struct IBox pgx_Container;
 struct IBox pgx_NewKnob;
};


#define CUSTOM_HOOK( gadget ) ( (struct Hook *) (gadget)->MutualExclude)

#endif
